[Rubygems-developers] [ rubygems-Bugs-28384 ] gem install doesn't refresh Rakefile (or something along those lines)

noreply at rubyforge.org noreply at rubyforge.org
Fri Nov 12 23:11:49 EST 2010


Bugs item #28384, was opened at 2010-07-14 10:32
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28384&group_id=126

Category: `gem install` command
Group: None
>Status: Closed
>Resolution: Rejected
Priority: 3
Submitted By: Roger Pack (rogerdpack)
Assigned to: Nobody (None)
Summary: gem install doesn't refresh Rakefile (or something along those lines)

Initial Comment:
Hi.  Noticed the following:




C:\installs\a space\ruby_1_8_installed\bin>gem install spork
Building native extensions.  This could take a while...
Successfully installed spork-0.8.4
1 gem installed

# reports success


C:\installs\a space\ruby_1_8_installed\bin>gem uninstall spork -a
Remove executables:
        spork

in addition to the gem? [Yn]  y
Removing spork
Successfully uninstalled spork-0.8.4

C:\installs\a space\ruby_1_8_installed\bin>gem install spork
Building native extensions.  This could take a while...
ERROR:  Error installing spork:
        ERROR: Failed to build gem native extension.

"C:/installs/a space/ruby_1_8_installed/bin/ruby.exe" mkrf_conf.rb
Actually, there aren't any native extensions. I'm just dynamically installing dependencies based off of your operating system
installing windows dependencies

"C:/installs/a space/ruby_1_8_installed/bin/ruby.exe" -rubygems C:/installs/a space/ruby_1_8_installed/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake RUBYARCHDIR="C:/installs/a space/ruby_1_8_installed/lib/ruby/gems/1.8/gems/spork-0.8.4/lib" RUBYLIBDIR="C:/installs/a space/ruby_1_8_installed/lib/ruby/gems/1.8/gems/spork-0.8.4/lib"
C:/installs/a space/ruby_1_8_installed/bin/ruby.exe:36: No such file or directory -- C:/installs/a (LoadError)


Gem files will remain installed in C:/installs/a space/ruby_1_8_installed/lib/ruby/gems/1.8/gems/spork-0.8.4 for inspection.
Results logged to C:/installs/a space/ruby_1_8_installed/lib/ruby/gems/1.8/gems/spork-0.8.4/ext/gem_make.out


now reports failure.  I would have expected them both to report failure.

Thanks.
-r

----------------------------------------------------------------------

>Comment By: Ryan Davis (zenspider)
Date: 2010-11-12 20:11

Message:
I don't see what this has to do with anything... You didn't quote the path to rake. This has nothing to do with rubygems.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28384&group_id=126


More information about the Rubygems-developers mailing list